xawtv-remote(1)

NOMBRE
xawtv-remote, v4lctl -- control de dispositivos video4linux

SINOPSIS
xawtv-remote [ opciones ] comando
v4lctl [ opciones ] comando

DESCRIPCIÓN
xawtv-remote y v4lctl se pueden usar para controlar una tarjeta de televisión bajo video4linux. xawtv-remote le pasa el comando a una instancia en ejecución de xawtv o motv por medio de propiedades X11. v4lctl establece los parámetros directamente.

OPCIONES
xawtv-remote conoce las siguientes opciones:

-h  muestra un breve mensaje de ayuda

-d dpy
    Establece el display X11

-i id
    Establece el identificador (ID) de ventana.

v4lctl entiende estas opciones:

-h  muestra un breve mensaje de ayuda

-c device
    Establece el dispositivo video4linux.

-v n
    Establece el nivel n de mensajes de salida, donde n = [0..2]

COMANDOS
Las dos herramientas usan básicamente el mismo juego de comandos. Algunos son sólamente útiles para el xawtv-remote (pantalla completa, por ejemplo).

setstation [ <nombre> | <nr> | next | prev | back ]
    Establece el canal de TV. La selección se realiza con las cadenas configuradas en el fichero de configuración .xawtv. El argumento puede ser el nombre de la cadena o un número (el primero listado en el fichero de configuración es el 0, ...). next/prev salta a la cadena siguiente o previa de la lista de cadenas, y back a la seleccionada previamente.

setchannel [ <nombre> | next | prev ]
    Sintoniza un canal.

setfreqtab <tabla>
    Establece la tabla de frecuencias. En el menú del xawtv hay una lista de las opciones válidas.

setnorm <norma>
    Establece la norma de TV (NTSC/PAL/SECAM).

setinput [ <entrada> | next ]
    Establece la entrada de video (Television/Composite1/...)

capture [ on | off | overlay | grabdisplay ]
    Establece el modo de captura.

volume <arg>

color <arg>

hue <arg>

bright <arg>

contrast <arg>
    Establece el parámetro al valor especificado. <arg> debe ser algo de lo siguiente: Un valor en tanto por ciento ("70%" por ejemplo). Valores absolutos ("32768"), el rango válido es específico del hardware. Los valores relativos se pueden especificar precediendo el número con "+=" o "-=" ("+=10%" o "-=2000"). También se aceptan las palabras "inc" y "dec" que incrementarán y disminuirán el valor en pequeños pasos.

setattr <nombre> <valor>
    El valor de algún atributo (color, contraste, ...) también se puede especificar de esta manera.

show [ <nombre> ]
    Muestra el valor actual de algún atributo.

list
    Lista todos los atributos válidos con todas sus propiedades (valor por defecto, rango, ...)

snap [ jpeg | ppm ] [ full | win | widthxheight ] <fichero>
    Captura una imagen.

webcam <fichero>
    Captura una imagen. Básicamente hace lo mismo que "snap jpeg win <fichero>". También funciona cuando la grabación avi está activa. Escribe en un fichero temporal y lo renombra cuando ha realizado la acción, por lo tanto no habrá nunca un fichero inválido.

movie driver [ files | raw | avi | qt ]

movie video [ ppm | pgm | jpeg | rgb | gray | 422 | 422p | rgb15 | rgb24 | mjpeg | jpeg | raw | mjpa | png ]

movie fps <imágenes por segundo>

movie audio [ mono8 | mono16 | stereo ]

movie rate <tasa de muestreo>

movie fvideo <fichero>

movie faudio <fichero>

movie start

movie stop
    controla la grabación de películas del xawtv.

fullscreen
    Selecciona el modo a pantalla completa.

showtime
    Muestra la hora (lo mismo que hace la tecla 'D' en xawtv).

msg texto
    Muestra el texto en el display on-screen (título de la ventana / esquina superior izquierda a pantalla completa).

vtx linea1 linea2 [ ... ]
    Muestra subtítulos. Saca una pequeña ventana en la parte inferior de la pantalla. Está pensado para actuar como interfaz para mostrar subtítulos (con frecuencia en la página 150 del teletexto en europa, de ahí el nombre) de programas externos. Nota: en españa se suele usar la página 888 para los subtítulos.
    Cada línea de comandos del argumento es una línea, cero líneas quita la ventana. Se puede dar color al texto con la secuencia de control "ESC tinta fondo". Tanto tinta como fondo tienen un rango de 0 a 7 (colores ansi term). Ejemplo: "\03347 hola mundo" está en azúl sobre fondo blanco. "\033" debe ser un carácter de escape real, no vale con una cadena. Con bash lo puedes obtener con ^V ESC. vtx también entiende secuencias de escape ANSI tty para el color.

quit
    cierra el xawtv

keypad n
    entra el dígito 'n'. Eso es la selección de canales mediante dos dígitos, entrando dos dígitos en 5 segundos cambia a la cadena seleccionada. Útil para el lirc.

VEA TAMBIÉN
xawtv(1), motv(1), xawtvrc(5)

AUTOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 1997-2001 Gerd Knorr <kraxel@goldbach.in-berlin.de>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

TRADUCCIÓN
Página traducida al español por Ricardo Villalba <rvm@escomposlinux.org>